{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    View TimeTable - First Year
{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_view_timetable %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="fa fa-calendar-plus-o"></i>
                    View Timetable - First Year
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <form method="POST" class="form-horizontal">{% csrf_token %}
                        <ul class="nav nav-tabs bar_tabs col-sm-12 col-xs-12 col-md-12">
                            {% for dept in all_core_departments %}
                                {% if dept.acronym == selected_department.acronym %}
                                    <li class="active">
                                        <input type="submit" name="selected_department_acronym"
                                               value="{{ dept.acronym }}"
                                               disabled
                                               style="width: 60px; border: none; height: 40px; background-color: white">
                                    </li>
                                {% else %}
                                    <li class="">
                                        <input type="submit" name="selected_department_acronym"
                                               value="{{ dept.acronym }}"
                                               style="width: 60px; border: none; height: 40px">
                                    </li>
                                {% endif %}
                            {% endfor %}
                        </ul>
                    </form>
                    <div class="tab-content">
                        {% if no_faculty_advisor %}
                            <div role="alert" class="alert alert-warning alert-dismissible fade in">
                                <h5> Faculty Advisor is not alloted to this batch </h5>
                            </div>
                        {% elif no_start_date %}
                            <div role="alert" class="alert alert-warning alert-dismissible fade in">
                                <h5> Term 1 start date not found to this batch </h5>
                            </div>
                        {% elif no_of_courses == 0 %}
                            <div role="alert" class="alert alert-info alert-dismissible fade in">
                                <h5> Currently No Courses are available </h5>
                            </div>
                        {% else %}
                            <div class="alert alert-success" role="alert" align="center">
                                <h5> Current Faculty Advisors:&nbsp;
                                    <strong>
                                        {% for faculty in faculty_advisors %}
                                            {{ faculty }}&nbsp;&nbsp;
                                        {% endfor %}
                                    </strong>
                                </h5>
                            </div>
                            <div class="table-responsive">
                                <table class="table table-bordered col-md-12 col-sm-12 col-xs-12">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>1st hour</th>
                                        <th>2nd hour</th>
                                        <th>3rd hour</th>
                                        <th>4th hour</th>
                                        <th>5th hour</th>
                                        <th>6th hour</th>
                                        <th>7th hour</th>
                                        <th>8th hour</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for day in list_of_hours %}
                                        <tr>
                                            <th>{{ day.day_name }}</th>
                                            {% for hour in day.hours %}
                                                <td align="center">
                                                    {% if not hour %}
                                                        -
                                                    {% else %}
                                                        {% for course in hour %}
                                                            {{ course }}<br>
                                                        {% endfor %}
                                                    {% endif %}
                                                </td>
                                            {% endfor %}
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                            <br><br>
                            <table class="table table-hover">
                                <thead>
                                <tr>
                                    <th>Course Code</th>
                                    <th>Course Name</th>
                                    <th>Staff Handling</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for course in list_of_courses %}
                                    {% if not course.common %}
                                        <tr>
                                            <td>{{ course.course_id }}</td>
                                            <td>
                                                {{ course.course_name }}&nbsp;
                                                {% if course.code %}
                                                    ({{ course.code }})
                                                {% endif %}&nbsp;
                                                {{ course.course_type }}
                                            </td>
                                            <td>
                                                {% for staff in course.staff_list %}
                                                    {{ staff }}&nbsp;&nbsp;
                                                {% endfor %}
                                            </td>
                                        </tr>
                                    {% endif %}
                                {% endfor %}
                                </tbody>
                            </table>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>



{% endblock %}